#ifndef ANISGLOBAL
#define ANISGLOBAL
//--------------------------------------
// Global constants
#define PI          3.1415926536
#define YEARSEC     31556925.2    // Seconds per year
#define EARTHRADIUS 6.378e6       // Earth radius in meter
#define ATMORADIUS  6.478e6       // Atmos + radius in meter
#define ICE_DENSITY 0.917         // Density in g/cm^3
#define PMASS       1.6726215e-24 // in g
#define C_LIGHT     2.9979246e8   // m/s
#define LN10        2.302585093   // ln(10)
#define GeV2_mbarn  0.3893796623  // GeV^2*mbarn conversion coefficient
//--------------------------------------
// Resonance W-boson production parameters
#define G_F         1.16639E-5    // Fermi constant in GeV^{-2}
#define GF2         1.3604656E-10 // G_F*G_F in GeV^{-4}
#define M_W         80.423        // W-boson mass in GeV
#define MW2         6467.858929   // M_W*M_W  in GeV^2
#define m_e         5.10999E-4    // Electron mass in GeV
#define m_mu        1.05658E-1    // Muon mass in GeV
#define m_tau       1.777         // tau lepton mass in GeV 
#define m_N         0.939         // Nucleon mass in GeV
#define G_tot       2.118         // Full width of W-boson in GeV
#define GW          2.633575E-2   // G_tot/M_W
#define GW2         6.935717E-4   // GW2
#define RWe         0.1072        // Braching ratio W -> e + nu_e
#define RWmu        0.1057        // Braching ratio W -> mu + nu_mu
#define RWtau       0.1074        // Braching ratio W -> tau + nu_tau
#define RWhadr      0.6793        // Braching ratio W -> hadrons (not used)
#define TAU_CTE     4.9021097E-5  // c*\tau_\tau/m_\tau  in m/GeV
#define TAU_DEC     2.906e-13     // mean life time of tau lepton in sec

#endif //ANISGLOBAL




