////////////////////////////////////////////////////////////////////////
#include <AnisIO.hh>
#include<Steer.hh>

////////////////////////////////////////////////////////////////////////
  extern Steer *steerdata;
////////////////////////////////////////////////////////////////////////
 void AnisPrint::header(std::ostream& ostr) {
   if (steerdata->Format==2)
     f2k.header();
 }

////////////////////////////////////////////////////////////////////////
 void AnisPrint::endfile(std::ostream& ostr) {
    if (steerdata->Format==2)
    f2k.endfile();
 }

////////////////////////////////////////////////////////////////////////
 void Printf2k::header( std::ostream& ostr ) { 
    ostr << "V 2000.1.2" << endl;
    ostr << "HI Output of the neutrino simulation program ANIS v1.8.2" 
         << endl;
    ostr << "HI ANIS: Emin/Emax: " << steerdata->FluxEmin << "/" 
         << steerdata->FluxEmax<< endl;
    ostr << "HI ANIS: Rmax/CBheight/CAheight: " << steerdata->Rmax 
         << "/" << steerdata->HBCylinder << "/" 
         << steerdata->HACylinder << endl;
    if (steerdata->ExtendedVolume)
      ostr << "HI ANIS: E-dependent CBheight increase"<<endl;
    ostr << "HI ANIS: Number of events: " 
         <<steerdata->NumberOfEvents << endl;
    ostr << "HI ANIS: Used seed: " 
         <<steerdata->Seed << endl;


    ostr << "USER_DEF wght sig flux atmo_e atmo_m" << endl;
    ostr << "USER_DEF info  fin fout ein eout"<<endl;
    ostr << "TBEGIN ? ? ?"<< endl; 
 }

 void Printf2k::endfile( std::ostream& ostr ) { 
    ostr << "TEND ? ? ?" << endl;
    ostr << "END"<<endl;
}
 int Printf2k::pdg_to_f2k(int pdg_id){
    int f2k_id=0; //initialized to 0
// if neutrino
    if (pdg_id==12){//nu_e
	f2k_id=201; 
    } else if (pdg_id==-12){ //nu_ebar
	f2k_id=204;
    } else if (pdg_id==14){ //nu_mu
	f2k_id=202;
    } else if (pdg_id==-14){ //nu_mubar
	f2k_id=205;
    } else if (pdg_id==16){ //nu_tau
	f2k_id=203;
    } else if (pdg_id==-16){ //nu_taubar
	f2k_id=206;
    }

// if leptons
    if (pdg_id==11){ //its an electron
	f2k_id=3;
    } else if (pdg_id==-11){ //electron
	f2k_id=2;
     } else if (pdg_id==13){ //muon
	f2k_id=6;
    } else if (pdg_id==-13){ 
	f2k_id=5;
    } else if (pdg_id==15){ //tau
	f2k_id=34;
    } else if (pdg_id==-15){ 
	f2k_id=33;
    }

//its a gamma
    if (pdg_id==22){
	f2k_id=1;
    }
    
//else it will be assumed a hadronic shower
    if (f2k_id==0){
	f2k_id=1006;
    }

    return f2k_id;
}


char* Printf2k::pdg_to_name(int pdg_id){


// if neutrino

    char *name;

    if (abs(pdg_id)==11){//nu_e	
      char buffer[] = "brems";
      int length = 1+ strlen(buffer);
      name = new char[length];
      memcpy(name,buffer,length);
    } else if (abs(pdg_id)==13){//mu	
      char buffer[] = "mu-";
      int length = 1+ strlen(buffer);
      name = new char[length];
      memcpy(name,buffer,length);
      
    } else if (abs(pdg_id)==15){//tau	
      char buffer[] = "tau";
      int length = 1+ strlen(buffer);
      name = new char[length];
      memcpy(name,buffer,length);
    } else if (abs(pdg_id)==12 || abs(pdg_id)==14 || abs(pdg_id)==16 ){//neutrino	
      char buffer[] = "nu";
      int length = 1+ strlen(buffer);
      name = new char[length];
      memcpy(name,buffer,length);
    } else if (pdg_id==22){
      char buffer[] = "gamma";
      int length = 1+ strlen(buffer);
      name = new char[length];
      memcpy(name,buffer,length);
    } else {
      char buffer[] = "hadr";
      int length = 1+ strlen(buffer);
      name = new char[length];
      memcpy(name,buffer,length);
    }
    return name;
}










