//////////////////////////////////////////////////////////////////////////
#include <AnisParticles.hh>

//////////////////////////////////////////////////////////////////////////
 void initPDT(DefaultConfig::ParticleDataTable*  datacol){
// Constructes table builder
	HepPDT::TableBuilder  tb(*datacol);
// create ANIS particles here...this could be also calling PDG
//leptons
	addData( tb, "e-"       ,    11, 0.0   , -1. ,      -1. ,  0.5);
	addData( tb, "e+"       ,   -11, 0.0   , +1. ,      -1. ,  0.5);
	addData( tb, "nue"      ,    12, 0.0   ,  0. ,      -1. ,  0.5);
	addData( tb, "nue_bar"  ,   -12, 0.0   ,  0. ,      -1, ,  0.5);
	addData( tb, "mu-"      ,    13, 0.106 , -1. ,  2.197e-6,  0.5);
	addData( tb, "mu+"      ,   -13, 0.106 , +1. ,  2.197e-6,  0.5);
	addData( tb, "numu"     ,    14, 0.0   ,  0. ,      -1. ,  0.5);
	addData( tb, "numu_bar" ,   -14, 0.0   ,  0. ,      -1. ,  0.5);
	addData( tb, "tau-"     ,    15, 1.777 , -1. , 2.906e-13,  0.5);
	addData( tb, "tau+"     ,   -15, 1.777 , +1. , 2.906e-13,  0.5);
	addData( tb, "nutau"    ,    16, 0.0   ,  0. ,      -1. ,  0.5);
	addData( tb, "nutau_bar",   -16, 0.0   ,  0. ,      -1. ,  0.5);
// mesons
	addData( tb, "pi+"      ,   211, 0.1396, +1. , 2.6033e-8,    1);
	addData( tb, "pi-"      ,  -211, 0.1396, -1. , 2.6033e-8,    1);
// baryons
	addData( tb, "p+"       ,  2212, 0.938 , +1. ,      -1.0,  0.5);
	addData( tb, "p-"       , -2212, 0.938 , -1. ,      -1.0,  0.5);
	addData( tb, "n"        ,  2112, 0.939 ,  0. ,      -1.0,  0.5);
//some more
	addData( tb,"gamma"     ,    22, 0.0   ,  0. ,      -1.0,  0.0);

// datacol is loaded when tb is destructed
}

//////////////////////////////////////////////////////////////////////////
 void addData( HepPDT::TableBuilder& tb, std::string const & name, int const id,
               double const mass,  double const charge, double const width,
               double const tspin ) {
    HepPDT::TempParticleData& tpd = tb.getParticleData( HepPDT::ParticleID( id ) );
    tpd.tempParticleName = name;
    tpd.tempCharge       = charge;
    tpd.tempMass         = HepPDT::Measurement( mass , 0.     );
    tpd.tempSpin         = HepPDT::SpinState  ( tspin, 0., 0. );
    tpd.tempWidth        = HepPDT::Measurement( width, 0.     );
    tb.addParticle( tpd );
}

//////////////////////////////////////////////////////////////////////////



