/////////////////////////////////////////////////////////////////
// Here are the definitions of all Anis particles.             //
// Everything is according and using the HepPDT (CLHEP) libary //
// M.K. 25.9.02                                                //
/////////////////////////////////////////////////////////////////
#ifndef PARTICLES
#define PARTICLES

#include "CLHEP/config/CLHEP.h"
#include "CLHEP/config/iostream.h"
#include "CLHEP/config/fstream.h"

#include "CLHEP/HepMC/ReadHepMC.h"
#include "CLHEP/HepMC/WriteHepMC.h"
#include "CLHEP/HepMC/GenEvent.h"

#include "CLHEP/Vector/LorentzVector.h"
#include <vector>

////////////////////////////////////////////////////////////////////////
// some abreviations
////////////////////////////////////////////////////////////////////////
 typedef HepMC::GenEvent GenEvent;
 typedef HepMC::GenVertex GenVertex;
 typedef HepMC::GenParticle GenParticle;

////////////////////////////////////////////////////////////////////////
 class IsNeutrino {
   public:
     bool operator()( const HepMC::GenParticle* p ) { 
	 if ( abs(p->pdg_id()) == 12 ||  abs(p->pdg_id()) == 16 ||  
	      abs(p->pdg_id()) == 14 )  return 1;
	 return 0;
     }
 };

////////////////////////////////////////////////////////////////////////
 class IsUnStable {
   public:
      bool operator()( const HepMC::GenParticle* p ) { 
	  if ( abs(p->pdg_id()) == 15 )  return 1;
	   return 0;
    }
 };

////////////////////////////////////////////////////////////////////////
#endif





