////////////////////////////////////////////////////////////////////////
#ifndef FINALVERTEX
#define FINALVERTEX

#include <AnisParticles.hh>
#include <AnisEvent.hh>
#include <AnisGlobal.hh>
#include <SigmaTotal.hh>
#include <Decay.hh>
#include <Earth.hh>
#include <FluxDriver.hh>
#include <Propagation.hh>
////////////////////////////////////////////////////////////////////////
// FinalVertex is responsible for throwing a neutrino vertex 
// into the FinalVolume
////////////////////////////////////////////////////////////////////////

 class FinalVertex {
   public:
     FinalVertex();
     void ThrowVertex(AnisEvent* evt);
   private:
     ParticleDecay decay;
     Hep3Vector Position(double sigma, FinalVolumeCylinder finalvolume);
     double ColumnDepth(FinalVolumeCylinder finalvolume);
     static const int imax=10000;
 };

////////////////////////////////////////////////////////////////////////

class EventSelector {
 public:
    EventSelector(int UseWght);
    bool IsSelected(AnisEvent* evt);
 private:
    double FindMaxwght();
    double maxwght;
    bool UseWght;
};

#endif



