////////////////////////////////////////////////////////////////////////
// Neutrino Trajectory
////////////////////////////////////////////////////////////////////////
#include <iostream>
#include <cmath>
#include <AnisParticles.hh>
#include <AnisGlobal.hh>

using namespace std;

////////////////////////////////////////////////////////////////////////
 class NeutrinoTrajectory{
      Hep3Vector Rcyl;        // Radius vector of the intersection point on cylinder
      Hep3Vector rn;          // Rcyl/ATM  to the atmosphere radius-vector
      Hep3Vector dn;          // unit 3-D vector defining the direction of neutrino
      double     angle;       // angle between vectors rn and dn
      double     length_min;  // min value of tau*ATM in meters
      double     length_max;  // max value of tau*ATM in meters
      double     tau_min;     // min value of the normalized distance
      double     tau_max;     // max value of the normalized distance
   public:
      NeutrinoTrajectory(Hep3Vector R, Hep3Vector D); 
     ~NeutrinoTrajectory(){}
      double NeutrinoTrajectory::getTaumin   () const{return tau_min   ;}
      double NeutrinoTrajectory::getTaumax   () const{return tau_max   ;}
      double NeutrinoTrajectory::getLengthmin() const{return length_min;}
      double NeutrinoTrajectory::getLengthmax() const{return length_max;}
      double NeutrinoTrajectory::getAngle    () const{return angle     ;}
      Hep3Vector R_Tau   (double Tau   );
      Hep3Vector R_Length(double Length);
  };
////////////////////////////////////////////////////////////////////////

