//////////////////////////////////////////////////////////////////////////
// this is the main for anis
// 
//////////////////////////////////////////////////////////////////////////
#include <anis.hh>

//////////////////////////////////////////////////////////////////////////

int main(int argc, char **argv) {
    char *steerfile="steer.dat"; // default steering file
    if (argc==2)
      steerfile=argv[1];
    steerdata=new Steer(steerfile);
    prmanager=new ProcessManager(*steerdata);
    sig_tot=new SigmaTotal;
  
    srand48(steerdata->Seed); // Initialization of random number generator

    FluxDriver flux;   // Flux generator
    FinalVertex final;
    Propagate prop;
    AnisPrint print;
    EventSelector eventselector(steerdata->UseWght);

    print.header();
    for (int ievent=1; ievent <= steerdata->NumberOfEvents; ievent++){
	AnisEvent* evt = new AnisEvent(ievent);
	flux.Inject(evt);  //inject neutrino  into event
	prop.ThroughEarth(evt);
	final.ThrowVertex(evt);
	
	// write event to file 
	if (eventselector.IsSelected(evt))
	    evt->print_event();
	else 
	    ievent--;   // event is not counted 
	delete evt;
    }
    print.endfile();
    return 0;
 }







