#include <fstream>

void Trim(const char* fname, const char* outname)
{

  ifstream in(fname);
  int nFinal;   // number of final states (pair of x and y) per energy
  int nDim;     // number of dimensions of final state (2 for x and y)
  int nEneBins; // number of energy bins
  int eMin;     // min energy log10
  int eMax;     // max energy log10
  double x, y;

  in >> nFinal >> nDim >> nEneBins >> eMin >> eMax;

  // trim final state from 3000 to 1000
  int nTrim = 1000; 

  ofstream out(outname);
  out << nTrim << " " << nDim << " " << nEneBins << " " 
       << eMin << " " << eMax << endl;

  for (int i=0; i<nEneBins; ++i) {
     for (int j=0; j<nFinal ; ++j) {
        in >> x >> y;
        if (j < nTrim) out << x << " " << y << endl;
     }
  }
}
