///////////////////////////////////////////////////////////////////////////// 
//the ParticleDecay class provides all member functions for particle decay //
/////////////////////////////////////////////////////////////////////////////
#ifndef PARTICLEDECAY
#define  PARTICLEDECAY
#include <AnisGlobal.hh>
#include <AnisParticles.hh>
#include <AnisEvent.hh>
#include <Table.hh>
#include <Earth.hh>




/////////////////////////////////////////////////////////////////////////////
// this is the tau decay implementation

  class TauDecay {
    public:
    TauDecay();
     void AddVertex(HepMC::GenParticle* parent, AnisEvent *evt);
    private:
      FinalTable TauData;  
      void AddTauVertex(HepMC::GenParticle* parent, HepMC::GenVertex* vtx);
      void TauProp(HepMC::GenParticle* parent, double& efinal,
		  double& pathlenght);
      double beta(const double E);  //  beta(E) in standard rock 
 };


/////////////////////////////////////////////////////////////////////////////
// this is the container class for all decay channels

 class ParticleDecay {
 public:
   void AddVertex(HepMC::GenParticle* parent, AnisEvent *evt);
 private:
   TauDecay taudecay;
 };





#endif
  
