////////////////////////////////////////////////////////////////////////////
// ProcessManager stores the process information: which cross sections    //
// for which flavor and material...                                       //
////////////////////////////////////////////////////////////////////////////

#ifndef PRMANAGER
#define PRMANAGER

#include <iostream>
#include <Steer.hh>

#define PROTON 2212
#define NEUTRON 2112
#define ELECTRON 11

////////////////////////////////////////////////////////////////////////////
 class ProcessManager {
   public:
     ProcessManager(); 
     ProcessManager(Steer steerdata); 
    ~ProcessManager(); 
     void AddProcess(char *token, char *sigmafile,  
          char *finalfile,int flavor, double material[]);
     int    HowManyProcesses( ){return Nsigma;}  // number of crossections loaded
     char  *GetToken        (int sigma_i);
     char  *GetSigmaFile    (int sigma_i);
     char  *GetFinalFile    (int sigma_i);
     int    IsFlavorActive  (int sigma_i, int flavor);
     int    IsMaterialActive(int sigma_i, int flavor);
   private:
     int    Nsigma;
     char **Token;
     char **Sigmafile;
     char **Finalfile;
     int    ActiveFlavor  [MAXSIGMA];
     int    ActiveMaterial[MAXSIGMA];
 };

////////////////////////////////////////////////////////////////////////////
#endif 








