////////////////////////////////////////////////////////////////////////////
#ifndef SIGMA
#define SIGMA
#include <AnisParticles.hh>
#include <Table.hh>

////////////////////////////////////////////////////////////////////////////
// Sigma is an abstract base class for all cross-section classes.
// The default is that it looks for file based data tables.
// a default cross section function is implemented while
// the final state function is left purly virtual. 
////////////////////////////////////////////////////////////////////////////
 class Sigma {
   public:
      Sigma(){}
      virtual void   InitSigma(char *Token, char *sigmafile, char *finalfile);
      virtual int    IsInit(){return Init;}
      virtual double GetSigma(const GenParticle* nuin, double material[]);
      virtual void   FillVertex(GenVertex* vtx, double material[]) = 0;
   protected:
      Table *Data;           // all the cross section data
      FinalTable *FinalData; // all the final state data
   private:
      char  Init;
      char *Token;           // just a name
 };

////////////////////////////////////////////////////////////////////////////
#endif 












