////////////////////////////////////////////////////////////////////////
// Standard Model cross-sections derived from sigma
////////////////////////////////////////////////////////////////////////
#ifndef SIGMASM
#define SIGMASM
#include <Sigma.hh>
#include <AnisGlobal.hh>

using namespace std;

////////////////////////////////////////////////////////////////////////
// charged current reaction
 class SigmaCC : public Sigma {
   public:
     void   FillVertex(GenVertex* vtx, double material[]);
     HepLorentzVector Muon_Out(HepLorentzVector nu, double x, double y);
 };

////////////////////////////////////////////////////////////////////////
// neutral current reaction
 class SigmaNC : public Sigma {
   public:
     void   FillVertex(GenVertex* vtx, double material[]);
 };

////////////////////////////////////////////////////////////////////////
// Glashow resonance. This is also an example of a non-table parametrization
 class SigmaGR : public Sigma {
   public:
     double GetSigma(const GenParticle* nuin, double material[]);
     void   FillVertex(GenVertex* vtx, double material[]);
     void   InitSigma(char *Token, char *sigmafile, char *finalfile);
     int    IsInit(){return Init;};
   private:
     char   Init;
     int    ichan_choice();
     double tot_res_crossect(double E);
     void   fill_resonance_state(double *fstate);
 };

////////////////////////////////////////////////////////////////////////
#endif 



